Subject: Re: [PATCHv2 0/3] perf tools: Fix prologue generation

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Sat, 21 May 2022 14:44:05 -0300

Em Fri, May 20, 2022 at 02:46:49PM -0700, Andrii Nakryiko escreveu:
> On Thu, May 19, 2022 at 4:03 AM Jiri Olsa <[email-masked]> wrote:
> > On Wed, May 18, 2022 at 11:46:44AM +0200, Jiri Olsa wrote:
> > > On Tue, May 17, 2022 at 03:02:53PM -0700, Andrii Nakryiko wrote:
> > > > Jiri, libbpf v0.8 is out, can you please re-send your perf patches?

> > > yep, just made new fedora package.. will resend the perf changes soon

> > fedora package is on the way, but I'll need perf/core to merge
> > the bpf_program__set_insns change.. Arnaldo, any idea when this
> > could happen?

> Can we land these patches through bpf-next to avoid such complicated
> cross-tree dependencies? As I started removing libbpf APIs I also
> noticed that perf is still using few other deprecated APIs:
>   - bpf_map__next;
>   - bpf_program__next;
>   - bpf_load_program;
>   - btf__get_from_id;
 
> It's trivial to fix up, but doing it across few trees will delay
> libbpf work as well.
 
> So let's land this through bpf-next, if Arnaldo doesn't mind?

Yeah, that should be ok, the only consideration is that I'm submitting
this today to Linus:

https://git.kernel.org/pub/scm/linux/kernel/git/acme/linux.git/commit/?h=tmp.perf/urgent&id=0ae065a5d265bc5ada13e350015458e0c5e5c351

To address this:

https://lore.kernel.org/linux-perf-users/[email-masked]/

- Arnaldo